List Webhook Subscriptions

Get a list of Webhook Subscriptions for a specified Organization, User, or Group. <Info title="Required scopes"> > `webhooks:read` </Info>

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Query parameters

organizationstringRequiredformat: "uri"
The given organization that owns the subscriptions being returned. This field is always required.
userstringOptionalformat: "uri"

Indicates if the results should be filtered by user. This parameter is only required if the scope parameter is set to user.

groupstringOptionalformat: "uri"

Indicates if the results should be filtered by group. This parameter is only required if the scope parameter is set to group.

page_tokenstringOptional
The token to pass to get the next or previous portion of the collection
countintegerOptional1-100Defaults to 20
The number of rows to return
sortstringOptional

Order results by the specified field and direction. Accepts comma-separated list of {field}:{direction} values. Supported fields are: created_at. Sort direction is specified as: asc, desc.

scopeenumRequired
Filter the list by organization, user, or group
Allowed values:

Response

OK
collectionlist of objects
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error